@import url('https://fonts.googleapis.com/css2?family=Luckiest+Guy&display=swap');

.App {
  text-align: center;
  font-family: 'Luckiest Guy', cursive;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

body {
  font-family: sans-serif;
  text-align: center;
  background-color: #ecf0f1;
  display: grid;
  place-items: center;
  height: 100vh;
}

.myBoard {
  display: flex;
  flex-wrap: wrap;
  width: 45%;
  background: #4F86C6;
  position: relative;
  padding: 20px;
}

.row {
  display: flex;
  width: 100%;
  margin-bottom: 10px;
  justify-content: space-between;
  height: fit-content;
}

/*
 * START 3D EFFECT TO THE BOARD
*/
.myBoard:after {
  content: "";
  width: 20px;
  height: 100%;
  position: absolute;
  bottom: 12px;
  right: -20px;
  transform: skew(0deg, -50deg);
  z-index: 6;
  background: #275080;
  border-radius: 0px 4px 0px 0px;
}

.myBoard:before {
  content: "";
  width: 100%;
  height: 23px;
  position: absolute;
  top: -23px;
  left: 11px;
  transform: skew(-42deg, 0deg);
  z-index: 6;
  background: #4674a9;
  border-radius: 0 5px 0 0;
}

.blockTop {
  width: 96%;
  height: 13px;
  position: absolute;
  top: -18px;
  left: 31px;
  transform: skew(-42deg, 0deg);
  z-index: 6;
  background: #ffffff;
  border-radius: 15px;
}

.blockTop:before {
  width: 0;
  height: 100%;
  position: absolute;
  top: 0;
  right: -1px;
  z-index: 111;
  background: #4674a9;
  content: "";
  transition: .5s;
  border-radius: 15px;
}

.disabled .blockTop:before {
  width: 101%;
  /* THIS WILL CLOSE THE BOARD WHEN THE GAME IS OVER */
}

/*
 * END 3D EFFECT TO THE BOARD
*/

/*
 *  START DEFINE THE STYLE OF A SINGLE CELL
*/
.cell {
  width: 6.5em;
  height: 6.5em;
  cursor: pointer;
  background: #fff;
  border-radius: 50%;
  position: relative;
  z-index: 5;
}

.disabled .cell ,.yellow:hover, .red:hover{
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24) !important;
  cursor: default;
}

.cell:before {
  /*THIS BEFORE WILL RENDER THE EFFECT OF A COIN */
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 6;
  border-radius: 50%;
  color: #ecf0f1 !important;
  transition: .5s;
  animation: coinDrop;
  animation: 1s ease-in coinDrop;
}
.yellow:before {
  background-color: #fcbe32;
}

.red:before {
  background-color: #ff5f2e;
}

/*
 *  END DEFINE THE STYLE OF A SINGLE CELL
*/

/*
 * START RESET BUTTON
*/
button {
  font-size: 28px;
  border: none;
  padding: 16px 40px 16px 40px;
  border-radius: 5px;
  box-shadow: 0px 10px 0px 0px #4674a9, 0px 0px 10px 0px rgba(120, 120, 120, 0.4);
  color: white;
  background: #4F86C6;
  cursor: pointer;
  transition: all 0.16s;
  position: relative;
  top: 0;
  font-family: 'Luckiest Guy', cursive;
  width: fit-content;
  margin: 0 auto;
  margin-top: 20px;
}

button:focus {
  outline: none;
}

button:active {
  box-shadow: 0px 5px 0px 0px #4674a9;
  top: 5px;
}

/*
 * END RESET BUTTON
*/

/*
 * START SIDEBAR
*/
section {
  display: flex;
  width: 100vw;
  justify-content: center;
  flex-wrap: wrap;
}

h2 {
  font-family: 'Luckiest Guy', cursive;
  display: block;
  text-transform: uppercase;
  font-size: 3em;
  margin: 30px 0;
}

h1 {
  font-family: 'Luckiest Guy', cursive;
  display: block;
  color: #4674a9;
  text-transform: uppercase;
  font-size: 5em;
  margin: 0 0 30px;
  background-color: #fcbe32;
  border-radius: 50px;
  position: relative;
}

h1:after {
  /* ADD A COOL SHADOW TO THE TITLE */
  content: "";
  display: block;
  position: absolute;
  top: -10px;
  right: -15px;
  background-color: #ff5f2e;
  width: 100%;
  height: 100%;
  border-radius: 50px;
  z-index: -1;
}

.joueur {
  font-family: 'Luckiest Guy', cursive;
  display: block;
  text-transform: uppercase;
  font-size: 27px;
  margin: 30px 0;
}

.infos {
  margin: 0 5%;
  display: flex;
  flex-direction: column;
  width: 40%;
  justify-content: center;
}

.colorRed {
  color: #ff5f2e;
}

.colorYellow {
  color: #fcbe32
}

/*
 * END SIDEBAR
*/

/*
 * START INDICATOR STYLE
*/
@media (hover: hover) {
  .indicatorWrapper{display: none;} /* DISABLE THE HOVER INDICATOR ON TOUCH DEVICES */
}
.indicatorWrapper{
  display: flex;
  width: 95%;
  left: 0;
  top: -100px;
  padding: 0 20px;
  position: absolute;
  justify-content: space-between;
}

.indicator{
  width: 4.5em;
  height: 4.5em;
  opacity: 0;
}

 .currentCol{
  opacity: 1;
  animation: hop 1.5s infinite; 
}
.disabled .currentCol{
  opacity: 0;
}

.indicator svg{
  height: 100%;
  width: 100%;
}

.fillRed svg{
  fill: #ff5f2e;
}

.fillYellow svg{
  fill: #fcbe32;
}
/*
 * END INDICATOR STYLE
*/

@media (max-width: 1500px) { 
  h1{
    font-size: 3em;
  }
  h2{
    font-size: 2em;
  }
  .cell {
    width: 4em;
    height: 4em;
  }
}
@media (max-width: 769px) { 
  .indicatorWrapper{display: none;}
  .myBoard, .infos{
    width: 70%;
  }
  section{
    flex-direction: column-reverse;
    align-items: center;
  }
  .joueur{
    margin: 0 20px;
  }
  .joueurWrapper{
    display: flex;
    justify-content: space-around;
  }
  h2 {
    margin-top: 0;
  }
  button{
    margin: 20px auto 50px;
  }
}
@media (max-width: 600px) { 
  h1{
    font-size: 2em;
  }
  h2{
    font-size: 1.5em;
  }
  .cell {
    width: 2em;
    height: 2em;
  }
}



/* COIN DROP ANIMATION */

@keyframes coinDrop {
  0% {
    transform: scale(1, 1) translateY(-100vh);
  }

  20% {
    transform: scale(1.1, .9) translateY(0);
  }

  35% {
    transform: scale(.9, 1.1) translateY(-100px);
  }

  50% {
    transform: scale(1.05, .95) translateY(0);
  }

  57% {
    transform: scale(1, 1) translateY(-7px);
  }

  64% {
    transform: scale(1, 1) translateY(0);
  }

  100% {
    transform: scale(1, 1) translateY(0);
  }

}

/**
 * INDICATOR ANIMATION
 */
 @keyframes hop { 
  10% { transform: scale(1.1, .8) translateY(2.5%) }
  15% { transform: scale(.9, 1.1) translateY(-40%)}
  25% { transform: scale(1.05, .9) translateY(-50%) }
  30% { transform: scale(1) translateY(-30%) }
  40% { transform: scale(1.05, 1) translateY(0) }
  41% { transform: scale(1.1, .9) }
  50% { transform: translateY(-7.5%) }
  60% { transform: translateY(0) }
}